package com.hmsoft.remote.rmi.model;

import java.io.Serializable;

/**
 * 业务消息体.
 * @author zq
 *
 */
public class Message implements Serializable {

	private static final long serialVersionUID = 8284144232705889743L;

	//消息类型
    private byte type;

    //消息体-json
    private String msgBody;

    //学校端的地址
    private String shoolRemoteAddr;
    
    public Message() {
    	
    }
    
    public Message(byte type, String msgBody) {
        this.type = type;
        this.msgBody = msgBody;
    }

    public byte getType() {
        return type;
    }

    public void setType(byte type) {
        this.type = type;
    }

    public String getMsgBody() {
        return msgBody;
    }

    public void setMsgBody(String msgBody) {
        this.msgBody = msgBody;
    }

	public String getShoolRemoteAddr() {
		return shoolRemoteAddr;
	}

	public void setShoolRemoteAddr(String shoolRemoteAddr) {
		this.shoolRemoteAddr = shoolRemoteAddr;
	}
}
